Get all units
https://api.propexo.com/v1/units/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external unit id
Deprecated: Use the Propexo property_id instead
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo property id
The Propexo integration id
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe integration vendor for the unit.
The number of the unit. When using this, the Propexo property_id filter must be added as well.
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the unit
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| getBuildings |
902114The external ID of the property from the integration vendor
| Method |
|---|
| getBuildings |
481920The external ID of the floor plan from the integration vendor
This field will always be null for PROPERTYWARE
nullThe external ID of the unit type from the integration vendor
This field will always be null for PROPERTYWARE
nullThe number of bathrooms associated with the unit
| Method |
|---|
| getBuildings |
2.5The number of full bathrooms associated with the unit
| Method |
|---|
| getBuildings |
2The number of half bathrooms associated with the unit
| Method |
|---|
| getBuildings |
1The number of bedrooms associated with the unit
| Method |
|---|
| getBuildings |
2The building name associated with the unit
| Method |
|---|
| getBuildings |
Oak ApartmentsThe building number associated with the unit
This field will always be null for PROPERTYWARE
nullThe city associated with the unit
| Method |
|---|
| getBuildings |
AustinThe country associated with the unit
This field will always be null for PROPERTYWARE
nullcustom_data object | nullrequired
The external ID of the floor plan associated with the unit
This field will always be null for PROPERTYWARE
nullThe floor plan name associated with the unit
This field will always be null for PROPERTYWARE
nullThe floor number/name associated with the unit
| Method |
|---|
| getBuildings |
2Whether the unit is available
| Method |
|---|
| getBuildings |
trueWhether the unit is furnished
This field will always be null for PROPERTYWARE
nullDEPRECATED: Use listings endpoints.
This field will always be null for PROPERTYWARE
nullWhether the unit is vacant
| Method |
|---|
| getBuildings |
trueThe unit number
This field will always be null for PROPERTYWARE
nullThe market rent amount in cents for the unit
| Method |
|---|
| getBuildings |
185000The maximum rent amount in cents
This field will always be null for PROPERTYWARE
nullThe minimum rent amount in cents
This field will always be null for PROPERTYWARE
nullThe square footage of the unit
| Method |
|---|
| getBuildings |
Possible values: >= 0
1100The state associated with the unit
| Method |
|---|
| getBuildings |
TXDeprecated: Use address_1
| Method |
|---|
| getBuildings |
Deprecated: Use address_2
| Method |
|---|
| getBuildings |
The first address line associated with the unit
| Method |
|---|
| getBuildings |
1200 Market StreetThe second address line associated with the unit
| Method |
|---|
| getBuildings |
1200 Market StreetThe zip code associated with the unit
| Method |
|---|
| getBuildings |
78701Whether or not pets are allowed
| Method |
|---|
| getBuildings |
trueWhether or not dogs are allowed
This field will always be null for PROPERTYWARE
nullWhether or not cats are allowed
This field will always be null for PROPERTYWARE
nullThe pet policy for the unit
This field will always be null for PROPERTYWARE
nullThe Propexo unique identifier for the floor plan
This field will always be null for PROPERTYWARE
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
PROPERTYWAREAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTPROPERTYWAREThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit type
This field will always be null for PROPERTYWARE
nullErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/units/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "902114",
"x_property_id": "481920",
"x_floor_plan_id": null,
"x_unit_type_id": null,
"bathrooms": "2.5",
"bathrooms_full": 2,
"bathrooms_half": 1,
"bedrooms": "2",
"building_name": "Oak Apartments",
"building_number": null,
"city": "Austin",
"country": null,
"custom_data": "Unknown Type: object,null",
"floor_plan_code": null,
"floor_plan_name": null,
"floor": "2",
"is_available": true,
"is_furnished": null,
"is_vacant": true,
"number": null,
"rent_amount_market_in_cents": 185000,
"rent_amount_max_in_cents": null,
"rent_amount_min_in_cents": null,
"square_feet": 1100,
"state": "TX",
"address_1": "1200 Market Street",
"address_2": "1200 Market Street",
"zip": "78701",
"pets_allowed": true,
"dogs_allowed": null,
"cats_allowed": null,
"pet_policy": null,
"floor_plan_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_type_id": null
}
]
}